/*
 * joystick plugin for VDR
 *
 * joystick.h - joystick remote class
 *
 * Copyright (C) 2003 Andreas Regel <andreas.regel@powarman.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef _JOYSTICK_H_
#define _JOYSTICK_H_

#include <vdr/remote.h>
#include <vdr/thread.h>

class cJoystickRemote : public cRemote, private cThread
{
private:
	int fd;
	int * axes;
	virtual void Action(void);
public:
	cJoystickRemote(void);
	virtual ~cJoystickRemote();
};

#endif

